<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>ejemplo3</title>
	<script type="text/javascript">
		/*
		 *funcion que pasando una cadena de caracteres devuelve el numero de aes que contiene
		 */
		function contar(texto){
			/*definicion de variables*/
			let i=0;
			let acu=0;
			/*estructura de control para recorrer el texto*/
			for (i=0;i<texto.length;i++) {
				if (texto.charAt(i)=="a"){
					acu++;
				}
			}
			/*devolucion del resultado*/
			return acu;
		}
	</script>
</head>
<body>
	<script type="text/javascript">
		/*cadena de texto a comprobar*/
		let aes=0;
		aes=contar("ejemplo de clase");
		document.write("el numero de aes es"+aes);
	</script>
</body>
</html>